package com.zd.laboratory.event;

import com.zd.laboratory.mqtt.entiy.EquipmentStatus;

/**
 * 继电器状态变更事件
 * @Author: zhoupan
 * @Date: 2021/10/20/10:22
 * @Description:
 */
public class OnecStatusEvent extends HardwareStatusEvent{

//    public EquipmentStatus source;
    public OnecStatusEvent(EquipmentStatus source) {
        super(source);
    }

    @Override
    public EquipmentStatus getSource() {
        return (EquipmentStatus)super.getSource();
    }


}
